#include "sound.h"
#include "reciteword.h"
#include <string>
using namespace std;

extern CReciteWord* g_pReciteWord;

CSound::CSound ()
{
	canplay = g_file_test("modules",G_FILE_TEST_EXISTS);
	if (!canplay)
		g_print("The \"modules\" directory not found!\n");
}

void
CSound::play (SOUND_EVENTS event,PLAY_METHOD method)
{
	if (!canplay)
		return;
	switch (event)
	{
		case SND_BUTTONDOWN:
			filename = "modules/buttondown.wav";
			break;
		case SND_BUTTONACTIVE:
			filename = "modules/buttonactive.wav";
			break;
		case SND_BUTTONUP:
			filename = "modules/buttonup.wav";
			break;
		case SND_MENUSHOW:
			filename = "modules/menushow.wav";
			break;
		case SND_ANSWEROK:
			filename = "modules/answerok.wav";
			break;
		case SND_ANSWERNO:
			filename = "modules/answerno.wav";
			break;
		case SND_ANSWERNO2:
			filename = "modules/answerno2.wav";
			break;
		case SND_CHORD:
			filename = "modules/chord.wav";
			break;
		case SND_DING:
			filename = "modules/ding.wav";
			break;
		case SND_GUNOK:
			filename = "modules/gunok.wav";
			break;
		case SND_GUNNO:
			filename = "modules/gunno.wav";
			break;
		case SND_TYPE:
			filename = "modules/type.wav";
			break;
		case SND_BACK:
			filename = "modules/back.wav";
			break;
		case SND_WIND:
			filename = "modules/wind.wav";
			break;
		default:
			filename = "";
			break;
	}
	play_file(filename.c_str(),method);
}

CSound::~CSound ()
{
}


//static CSound soundevent;

void
playsound (SOUND_EVENTS event,PLAY_METHOD method)
{
	if (g_pReciteWord->soundevent.disable)
		return;
	if (event==SND_NULL)
		return;
	g_pReciteWord->soundevent.play (event,method);
}
